/*
 * Class DATE_TIME_PARSER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_896 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_896 [] = {0xFF01,237,895,0xFFFF};
static const EIF_TYPE_INDEX egt_2_896 [] = {0xFF01,895,0xFFFF};
static const EIF_TYPE_INDEX egt_3_896 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_896 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_896 [] = {0xFF01,895,0xFFFF};
static const EIF_TYPE_INDEX egt_6_896 [] = {0xFF01,895,0xFFFF};
static const EIF_TYPE_INDEX egt_7_896 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_896 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_896 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_896 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_896 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_896 [] = {0xFF01,895,0xFFFF};
static const EIF_TYPE_INDEX egt_13_896 [] = {0xFF01,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_896 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_15_896 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_16_896 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_17_896 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_18_896 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_19_896 [] = {0xFF01,250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_20_896 [] = {0xFF01,285,206,0xFFFF};
static const EIF_TYPE_INDEX egt_21_896 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_22_896 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_896 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_896 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_896 [] = {0xFF01,0xFFF9,2,174,0xFF01,220,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_26_896 [] = {0xFF01,276,0xFF01,886,206,0xFFFF};
static const EIF_TYPE_INDEX egt_27_896 [] = {250,0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_28_896 [] = {250,0xFF01,220,0xFFFF};


static const struct desc_info desc_896[] = {
	{EIF_GENERIC(NULL), 13165, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_896), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_896), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_896), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_896), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_896), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_896), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_896), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_896), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_896), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_896), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_896), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_896), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06FF /*895*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_896), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12721, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12722, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_896), 12723, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_896), 12724, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12754, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12755, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12756, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_896), 12757, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_896), 12758, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_896), 12759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_896), 12760, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_896), 12761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12763, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_896), 12750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12939, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12940, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12941, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12944, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12945, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12764, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12930, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_896), 6686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12942, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12943, 28},
	{EIF_GENERIC(NULL), 12928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12929, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12931, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12932, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12933, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12934, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12935, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12936, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_896), 12937, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12938, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12984, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12985, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12987, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12989, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12725, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12726, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12727, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12728, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12729, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_896), 12730, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12731, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12732, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12735, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12741, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12742, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12743, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12740, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12739, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 12733, 56},
	{EIF_NON_GENERIC(0x019D /*206*/), 12734, 24},
	{EIF_NON_GENERIC(0x019D /*206*/), 12736, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12737, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12738, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12744, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12745, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12746, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12747, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13062, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13063, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13064, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13095, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13096, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13097, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0173 /*185*/), 816, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 817, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 818, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 821, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12792, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12793, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12794, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12795, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12796, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12797, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12801, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_896), 13033, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13034, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_896), 13035, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13134, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 13135, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 13136, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13137, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13138, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13139, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13140, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 13141, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 13142, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13143, 20},
	{EIF_NON_GENERIC(0x017F /*191*/), 13144, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13145, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13146, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13147, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 13148, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13149, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13150, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13151, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13152, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13153, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 13154, 32},
	{EIF_NON_GENERIC(0x019D /*206*/), 13155, 36},
	{EIF_NON_GENERIC(0x019D /*206*/), 13156, 40},
	{EIF_NON_GENERIC(0x019D /*206*/), 13157, 44},
	{EIF_NON_GENERIC(0x019D /*206*/), 13158, 48},
	{EIF_NON_GENERIC(0x0185 /*194*/), 13159, 64},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 13160, 4},
	{EIF_GENERIC(egt_26_896), 13161, 8},
	{EIF_GENERIC(egt_27_896), 13162, 12},
	{EIF_GENERIC(egt_28_896), 13163, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 13164, 52},
};
void Init896(void)
{
	IDSC(desc_896, 0, 895);
	IDSC(desc_896 + 1, 1, 895);
	IDSC(desc_896 + 32, 397, 895);
	IDSC(desc_896 + 36, 387, 895);
	IDSC(desc_896 + 50, 407, 895);
	IDSC(desc_896 + 58, 123, 895);
	IDSC(desc_896 + 60, 402, 895);
	IDSC(desc_896 + 72, 403, 895);
	IDSC(desc_896 + 79, 395, 895);
	IDSC(desc_896 + 85, 393, 895);
	IDSC(desc_896 + 94, 384, 895);
	IDSC(desc_896 + 104, 385, 895);
	IDSC(desc_896 + 107, 398, 895);
	IDSC(desc_896 + 110, 54, 895);
	IDSC(desc_896 + 116, 396, 895);
	IDSC(desc_896 + 142, 391, 895);
	IDSC(desc_896 + 146, 388, 895);
}


#ifdef __cplusplus
}
#endif
